Package org.eclipse.emf.cdo.ui

# Class Authorizer<E>

java.lang.Object
org.eclipse.emf.cdo.ui.Authorizer<E>

public class Authorizer<E> extends Object

Since:
  4.11
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`Authorizer.AuthorizerContext<E>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHORIZATION_PENDING`
`static final String`
`AUTHORIZED`

## Constructor Summary

Constructors
Constructor
Description
`Authorizer(Authorizer.AuthorizerContext<E> context, CDOSession session)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`authorize()`
`final String`
`getAuthorization(E element)`
`final Authorizer.AuthorizerContext<E>`
`getContext()`
`final CDOSession`
`getSession()`
`final boolean`
`isAuthorizationDenied()`
`final boolean`
`isAuthorizationFinished()`
`final boolean`
`isAuthorizing()`
`protected void`
`validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AUTHORIZATION_PENDING

public static final String AUTHORIZATION_PENDING

See Also:
  - Constant Field Values

### AUTHORIZED

public static final String AUTHORIZED

See Also:
  - Constant Field Values

## Constructor Details

### Authorizer

public Authorizer(Authorizer.AuthorizerContext<E> context, CDOSession session)

## Method Details

### getContext

public final Authorizer.AuthorizerContext<E> getContext()

### getSession

public final CDOSession getSession()

### isAuthorizing

public final boolean isAuthorizing()

### isAuthorizationFinished

public final boolean isAuthorizationFinished()

### isAuthorizationDenied

public final boolean isAuthorizationDenied()

### getAuthorization

public final String getAuthorization(E element)

### authorize

protected void authorize()

### validate

protected void validate() throws Exception

Throws:
  `Exception`